Every URL I test gives an error [log4j-scanner] - TagMerge

Every URL I test gives an error [log4j-scanner]

SomediSupportAsked 4 months ago

🐛 Summary

What's wrong? Please be specific. Every URL I test gives an error

To reproduce

Steps to reproduce the behavior:

  1. Do this : python3 log4j-scan.py -u https://www.google.be

Expected behavior

What did you expect to happen that didn't? I get an analysis of the URL

Any helpful log output or screenshots

Paste the results here: [•] CVE-2021-44228 - Apache Log4j RCE Scanner [•] Scanner provided by FullHunt.io - The Next-Gen Attack Surface Management Platform. [•] Secure your External Attack Surface with FullHunt.io. [•] Initiating DNS callback server (interact.sh). Traceback (most recent call last): File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 159, in newconn conn = connection.createconnection( File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 84, in createconnection raise err File "/usr/lib/python3/dist-packages/urllib3/util/connection.py", line 74, in create_connection sock.connect(sa) socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 665, in urlopen httplibresponse = self.make_request( File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 376, in _makerequest self.validate_conn(conn) File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 996, in _validateconn conn.connect() File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 314, in connect conn = self.new_conn() File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 164, in _new_conn raise ConnectTimeoutError( urllib3.exceptions.ConnectTimeoutError: (, 'Connection to interact.sh timed out. (connect timeout=30)')

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send resp = conn.urlopen( File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 719, in urlopen retries = retries.increment( File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 436, in increment raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='interact.sh', port=443): Max retries exceeded with url: /register (Caused by ConnectTimeoutError(, 'Connection to interact.sh timed out. (connect timeout=30)'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "log4j-scan.py", line 369, in main() File "log4j-scan.py", line 341, in main dnscallback = Interactsh() File "log4j-scan.py", line 200, in init self.register() File "log4j-scan.py", line 208, in register res = self.session.post( File "/usr/lib/python3/dist-packages/requests/sessions.py", line 581, in post return self.request('POST', url, data=data, json=json, **kwargs) File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request resp = self.send(prep, **sendkwargs) File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send r = adapter.send(request, **kwargs) File "/usr/lib/python3/dist-packages/requests/adapters.py", line 504, in send raise ConnectTimeout(e, request=request) requests.exceptions.ConnectTimeout: HTTPSConnectionPool(host='interact.sh', port=443): Max retries exceeded with url: /register (Caused by ConnectTimeoutError(, 'Connection to interact.sh timed out. (connect timeout=30)'))


Add any screenshots of the problem here.

Source: link

genericcontributorAnswered 4 months ago

@SomediSupport , it looks like there are various errors here.

It seems the interact.sh service was overwhelmed at the time you attempted to use it.

HTTPSConnectionPool(host='interact.sh', port=443): Max retries exceeded with url:

I'd recommend configuring your own DNS server for the testing. It's the first step here

Recent Issues

    Programming Languages